Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
snvvOffline
15 Post subject: [SOLVED] most KDE apps crash after DU  PostPosted: 25.06.2011, 12:10



Joined: 2010-09-13
Posts: 295

Status: Offline
After DU

      Quote:
Start-Date: 2011-06-25 14:31:19
Commandline: apt-get dist-upgrade
Install: libsane-common:amd64 (1.0.22-4, automatic), libsane-extras-common:amd64 (1.0.22.2, automatic)
Upgrade: sane-utils:amd64 (1.0.22-3, 1.0.22-4), libpci3:amd64 (3.1.7-9, 3.1.7-10), libnet-daemon-perl:amd64 (0.47-1, 0.48-1), libqt4-declarative:amd64 (4.7.3-2, 4.7.3-3), libqt4-qt3support:amd64 (4.7.3-2, 4.7.3-3), libsane:amd64 (1.0.22-3, 1.0.22-4), libqt4-test:amd64 (4.7.3-2, 4.7.3-3), libqt4-script:amd64 (4.7.3-2, 4.7.3-3), libqt4-designer:amd64 (4.7.3-2, 4.7.3-3), gparted:amd64 (0.8.0-2, 0.8.1-1), libqt4-network:amd64 (4.7.3-2, 4.7.3-3), libqt4-dbus:amd64 (4.7.3-2, 4.7.3-3), libqt4-core:amd64 (4.7.3-2, 4.7.3-3), libgirepository-1.0-1:amd64 (0.10.8-1, 0.10.8-2), libqt4-opengl:amd64 (4.7.3-2, 4.7.3-3), libqt4-xmlpatterns:amd64 (4.7.3-2, 4.7.3-3), libqt4-sql-sqlite:amd64 (4.7.3-2, 4.7.3-3), libqt4-help:amd64 (4.7.3-2, 4.7.3-3), libqt4-gui:amd64 (4.7.3-2, 4.7.3-3), libqtcore4:amd64 (4.7.3-2, 4.7.3-3), pciutils:amd64 (3.1.7-9, 3.1.7-10), libqt4-sql:amd64 (4.7.3-2, 4.7.3-3), libqt4-svg:amd64 (4.7.3-2, 4.7.3-3), libqt4-xml:amd64 (4.7.3-2, 4.7.3-3), gir1.2-glib-2.0:amd64 (0.10.8-1, 0.10.8-2), libqt4-assistant:amd64 (4.7.3-2, 4.7.3-3), libsane-extras:amd64 (1.0.22.1, 1.0.22.2), libqtgui4:amd64 (4.7.3-2, 4.7.3-3), libqt4-webkit:amd64 (4.7.3-2, 4.7.3-3), libqt4-sql-mysql:amd64 (4.7.3-2, 4.7.3-3)
End-Date: 2011-06-25 14:31:47


Most KDE apps crash (i.e akregator, dolphin, kmail etc)
Please, don't upgrade for a while.


Last edited by snvv on 26.06.2011, 16:10; edited 1 time in total
 
 View user's profile Send private message  
Reply with quote Back to top
slamOffline
Post subject: RE: most KDE apps crash after DU  PostPosted: 25.06.2011, 13:30
Team Member


Joined: 1970-01-01
Posts: 607
Location: w3
Status: Offline
I can confirm, for Konsole and Kate at least, e.g.:
      Code:
*** glibc detected *** konsole: double free or corruption (!prev): 0x0000000001144150 ***
...
7f8a6cdbb000-7f8a6cdbd000 rw-p 0004e000 08:01 130521                     /usr/lib/libpulsecommon-0.9.22.soKCrash: Application 'konsole' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/slam/.kde/socket-xxx.xxx.xxx/kdeinit4__0

Greetings,
Chris

_________________
an operating system must operate
development is life
my Debian repo
 
 View user's profile Send private message Send e-mail Visit poster's website AIM Address Yahoo Messenger MSN Messenger ICQ Number 
Reply with quote Back to top
snvvOffline
Post subject:   PostPosted: 25.06.2011, 14:36



Joined: 2010-09-13
Posts: 295

Status: Offline
In my case Konsole works, kate fails too.
Also, kmymoney, Korginizer, kcal, Konq, etc, etc fails.
 
 View user's profile Send private message  
Reply with quote Back to top
DeepDayzeOffline
Post subject:   PostPosted: 25.06.2011, 14:42



Joined: 2010-09-11
Posts: 616
Location: USA
Status: Offline
hmmm, judging from the error message it was was in /usr/lib/libpulsecommon-0.9.22.so that had the problem. Did pulseaudio get updated by chance or was it a bad interaction between that library and other apps?

I can't confirm the issue as I don't have pulseaudio itself but just the libpulse* libs installed
 
 View user's profile Send private message  
Reply with quote Back to top
snvvOffline
Post subject:   PostPosted: 25.06.2011, 15:09



Joined: 2010-09-13
Posts: 295

Status: Offline
Some error messages (starting the application from konsole)

      Quote:
snvv@aptosid:~$ akregator
Object::connect: No such signal Akregator::SubscriptionListView::signalDropped (KUrl::List &, Akregator::TreeNode*, Akregator::Folder*)
Object::connect: (sender name: 'feedtree')
Object::connect: (receiver name: 'akregator_view')
snvv@aptosid:~$ file retriever error: 114
akregator(3642)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
Application asked to unregister timer 0x17000001 which is not registered in this thread. Fix application.
akregator(3642)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
akregator(3642)/kdeui (kdelibs) KXMLGUIClient::~KXMLGUIClient: 0x8847f0 deleted without having been removed from the factory first. This will leak standalone popupmenus and could lead to crashes.
^C
snvv@aptosid:~$


kmail
http://paste.debian.net/120955/

kate
http://paste.debian.net/120956/

konqueror
http://paste.debian.net/120957/
 
 View user's profile Send private message  
Reply with quote Back to top
monkeynutsOffline
Post subject:   PostPosted: 25.06.2011, 16:54



Joined: 2010-09-20
Posts: 16

Status: Offline
Not having crashes but seeing the same error more or less if kde apps are opened from a terminal.

      Code:
$ okular
okular(10661)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
okular(10661)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
okular(10661)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
okular(10661)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
okular(10661)/kdeui (kdelibs) KXMLGUIClient::~KXMLGUIClient: 0x8205498 deleted without having been removed from the factory first. This will leak standalone popupmenus and could lead to crashes.
Application asked to unregister timer 0x5300000b which is not registered in this thread. Fix application.


      Code:
$ kate
kate(10647)/kate-filetree KateFileTreePluginView::KateFileTreePluginView: BEGIN: mw: Kate::MainWindow(0x83e6bd8)
kate(10647)/kate-filetree ProxyItem::ProxyItem: ProxyItem(0x8487940,0x0,-1,QObject(0x0) ,"m_root")
kate(10647)/kate-filetree ProxyItem::ProxyItem: ProxyItem(0x8487e28,0x0,-1,QObject(0x0) ,"Untitled")
kate(10647)/kate-filetree KateFileTreeModel::documentOpened: before add: ProxyItem(0x8487e28,0x0,-1,KateDocument(0x83c91f0) , "Untitled" )
kate(10647)/kate-filetree KateFileTreeModel::setupIcon: BEGIN!
kate(10647)/kate-filetree KateFileTreeModel::setupIcon: END!
kate(10647)/kate-filetree KateFileTreeModel::handleInsert: BEGIN!
kate(10647)/kate-filetree KateFileTreeModel::handleInsert: empty item
kate(10647)/kate-filetree ProxyItem::addChild: added ProxyItem(0x8487e28,0x8487940,0,KateDocument(0x83c91f0) , "Untitled" )   to ProxyItemDir(0x8487940,0x0,-1,"m_root", children:1)
kate(10647)/kate-filetree KateFileTreeModel::documentOpened: after add: ProxyItem(0x8487e28,0x8487940,0,KateDocument(0x83c91f0) , "Untitled" )
kate(10647)/kate-filetree KateFileTreeProxyModel::KateFileTreeProxyModel: BEGIN!
kate(10647)/kate-filetree KateFileTreePluginView::setListMode: BEGIN
kate(10647)/kate-filetree KateFileTreePluginView::setListMode: treeMode
kate(10647)/kate-filetree KateFileTreePluginView::setListMode: END
kate(10647)/kate-filetree KateFileTreePluginView::viewChanged: BEGIN!
kate(10647)/kate-filetree KateFileTreePluginView::viewChanged: BEGIN!
kate(10647)/kate-filetree KateFileTreeProxyModel::docIndex: !
kate(10647)/kate-filetree KateFileTreeModel::docIndex: BEGIN!
kate(10647)/kate-filetree KateFileTreeModel::docIndex: END!
kate(10647)/kate-filetree KateFileTreePluginView::viewChanged: selected doc= KateDocument(0x83c91f0) QModelIndex(0,0,0x84880d8,KateFileTreeProxyModel(0x848f208) )
kate(10647)/kate-filetree KateFileTreePluginView::viewChanged: display= "Untitled"
kate(10647)/kate-filetree KateFileTreeModel::documentActivated: BEGIN!
kate(10647)/kate-filetree KateFileTreeModel::documentActivated: adding viewHistory ProxyItem(0x8487e28,0x8487940,0,KateDocument(0x83c91f0) , "Untitled" )
kate(10647)/kate-filetree KateFileTreeModel::updateBackgrounds: BEGIN!
kate(10647)/kate-filetree KateFileTreeModel::updateBackgrounds: END!
kate(10647)/kate-filetree KateFileTreeModel::documentActivated: END!
kate(10647)/kate-filetree KateFileTree::slotCurrentChanged: current: QModelIndex(0,0,0x84880d8,KateFileTreeProxyModel(0x848f208) )  previous: QModelIndex(-1,-1,0x0,QObject(0x0) )
kate(10647)/kate-filetree KateFileTree::slotCurrentChanged: got doc, setting prev: QModelIndex(0,0,0x84880d8,KateFileTreeProxyModel(0x848f208) )
kate(10647)/kate-filetree KateFileTreePluginView::viewChanged: END!
kate(10647)/kate-filetree KateFileTreePluginView::viewChanged: BEGIN!
kate(10647)/kate-filetree KateFileTreeProxyModel::docIndex: !
kate(10647)/kate-filetree KateFileTreeModel::docIndex: BEGIN!
kate(10647)/kate-filetree KateFileTreeModel::docIndex: END!
kate(10647)/kate-filetree KateFileTreePluginView::viewChanged: selected doc= KateDocument(0x83c91f0) QModelIndex(0,0,0x84880d8,KateFileTreeProxyModel(0x848f208) )
kate(10647)/kate-filetree KateFileTreePluginView::viewChanged: display= "Untitled"
kate(10647)/kate-filetree KateFileTreeModel::documentActivated: BEGIN!
kate(10647)/kate-filetree KateFileTreeModel::documentActivated: adding viewHistory ProxyItem(0x8487e28,0x8487940,0,KateDocument(0x83c91f0) , "Untitled" )
kate(10647)/kate-filetree KateFileTreeModel::updateBackgrounds: BEGIN!
kate(10647)/kate-filetree KateFileTreeModel::updateBackgrounds: END!
kate(10647)/kate-filetree KateFileTreeModel::documentActivated: END!
kate(10647)/kate-filetree KateFileTreePluginView::viewChanged: END!
kate(10647)/kdeui (kdelibs) KXMLGUIClient::~KXMLGUIClient: 0x85adf30 deleted without having been removed from the factory first. This will leak standalone popupmenus and could lead to crashes.
kate(10647)/kdeui (kdelibs) KXMLGUIClient::~KXMLGUIClient: 0x84d152c deleted without having been removed from the factory first. This will leak standalone popupmenus and could lead to crashes.
kate(10647)/kate-filetree KateFileTreePluginSettings::save: save config!
 


      Code:
$ akregator
Object::connect: No such signal Akregator::SubscriptionListView::signalDropped (KUrl::List &, Akregator::TreeNode*, Akregator::Folder*)
Object::connect:  (sender name:   'feedtree')
Object::connect:  (receiver name: 'akregator_view')
craig@debian:~$ QPainter::begin: Widget painting can only begin as a result of a paintEvent
QPainter::translate: Painter not active
QPainter::setClipRect: Painter not active
akregator(10588)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
Application asked to unregister timer 0x72000013 which is not registered in this thread. Fix application.
akregator(10588)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
akregator(10588)/kdeui (kdelibs) KXMLGUIClient::~KXMLGUIClient: 0x8d38fd0 deleted without having been removed from the factory first. This will leak standalone popupmenus and could lead to crashes.
 
 View user's profile Send private message  
Reply with quote Back to top
monkeynutsOffline
Post subject:   PostPosted: 25.06.2011, 17:48



Joined: 2010-09-20
Posts: 16

Status: Offline
from #debian-kde a workaround is downgrading libqtgui4 and related packages to -2
 
 View user's profile Send private message  
Reply with quote Back to top
snvvOffline
Post subject:   PostPosted: 25.06.2011, 17:59



Joined: 2010-09-13
Posts: 295

Status: Offline
      monkeynuts wrote:
from #debian-kde a workaround is downgrading libqtgui4 and related packages to -2


I tried a few hours ago but it is not possible. I will try again.

EDIT. If I do that almost all my KDE will go...

      Code:
# apt-get install libqtgui4/testing -s
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Selected version '4:4.7.3-1' (Debian:testing [amd64]) for 'libqtgui4'
Selected version '4:4.7.3-1' (Debian:testing [amd64]) for 'libqtcore4' because of 'libqtgui4'
The following extra packages will be installed:
  libqtcore4
Suggested packages:
  qt4-qtconfig
The following packages will be REMOVED:
  akonadi-backend-mysql akonadi-kde-resource-googledata akonadi-server akonadiconsole akregator amarok aptosid-art-kde aptosid-art-kde-apate aptosid-art-kde-keres aptosid-art-kdm-apate aptosid-art-kdm-keres
  aptosid-art-ksplash-apate aptosid-art-ksplash-keres aptosid-settings-kde ark basket blogilo digikam dolphin fatrat filelight freespacenotifier gwenview k3b kaddressbook kaffeine kalarm karbon kate kbounce
  kbreakout kcalc kchart kde-plasma-desktop kde-style-qtcurve kde-window-manager kdebase-apps kdebase-bin kdebase-runtime kdebase-workspace kdebase-workspace-bin kdebase-workspace-kgreet-plugins
  kdegraphics-strigi-plugins kdelibs-bin kdelibs5-plugins kdepasswd kdepim kdepim-groupware kdepim-kresources kdepim-runtime kdepim-strigi-plugins kdepim-wizards kdepimlibs-kio-plugins kdm kdoctools kfind kget
  kgpg khelpcenter4 kid3 kile kjots kleopatra klipper kmahjongg kmail kmines kmix kmplayer kmymoney knemo knode knotes koffice-libs konq-plugins konqueror konqueror-nsplugins konsole konsolekalendar kontact
  konversation kopete korganizer kpat kplayer kppp kradio kradio4 krdc kreversi krfb krita ksnapshot ksudoku ksysguard ktimetracker ktorrent kuser kwalletmanager kwrite libakonadi-contact4 libakonadi-kcal4
  libakonadi-kde4 libakonadi-kmime4 libakonadiprotocolinternals1 libattica0 libdbusmenu-qt2 libk3b6 libk3b6-extracodecs libkabc4 libkatepartinterfaces4 libkblog4 libkcal4 libkcalcore4 libkcalutils4 libkcddb4
  libkcmutils4 libkdcraw8 libkdcraw9 libkde3support4 libkdecorations4 libkdecore5 libkdegames5a libkdepim4 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkephal4 libkephal4abi1 libkexiv2-8
  libkexiv2-9 libkfile4 libkggzgames4 libkggzmod4 libkggznet4 libkholidays4 libkhtml5 libkidletime4 libkimap4 libkimproxy4 libkio5 libkipi7 libkipi8 libkjsapi4 libkjsembed4 libkldap4 libkleo4 libkmahjongglib4
  libkmediaplayer4 libkmime4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4 libkntlm4 libkonq-common libkonq5 libkonq5abi1 libkonqsidebarplugin4a libkontactinterface4 libkopete4 libkparts4 libkpgp4
  libkpimidentities4 libkpimtextedit4 libkpimutils4 libkprintutils4 libkpty4 libkresources4 libkrosscore4 libkrossui4 libksane0 libkscreensaver5 libksgrd4 libksieve4 libksignalplotter4 libktexteditor4
  libktnef4 libktorrent-l10n libktorrent1 libktorrent2 libktorrent3 libkunitconversion4 libkutils4 libkwebkit1 libkwineffects1a libkwineffects1abi1 libkworkspace4 libkxmlrpcclient4 liblastfm0 libmailtransport4
  libmarblewidget11 libmarblewidget4 libmessagecore4 libmessagelist4 libmicroblog4 libmimelib4 libnepomuk4 libnepomukquery4a libnepomukutils4 libokularcore1 libphonon4 libplasma3 libplasmaclock4a
  libplasmaclock4abi1 libplasmagenericshell4 libpolkit-qt-1-0 libpolkit-qt-1-1 libpoppler-qt4-3 libprocesscore4a libprocesscore4abi1 libprocessui4a libq4banking1 libqt4-assistant libqt4-core libqt4-dbus
  libqt4-declarative libqt4-designer libqt4-gui libqt4-help libqt4-network libqt4-opengl libqt4-qt3support libqt4-script libqt4-sql libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-webkit
  libqt4-xml libqt4-xmlpatterns libqtassistantclient4 libqtlocation1 libqtmultimediakit1 libqtscript4-core libqtscript4-gui libqtscript4-network libqtscript4-sql libqtscript4-uitools libqtscript4-xml
  libqtsensors1 libqtwebkit4 libqzeitgeist0 libsolid4 libsolidcontrol4 libsolidcontrol4abi1 libsoprano4 libsyndication4 libtaskmanager4a libtaskmanager4abi1 libtelepathy-qt4-0 libweather-ion4a libweather-ion6
  marble marble-plugins okular packagesearch partitionmanager phonon phonon-backend-gstreamer phonon-backend-vlc phonon-backend-xine plasma-dataengines-addons plasma-dataengines-workspace
  plasma-dataengines-yawp plasma-desktop plasma-scriptengine-javascript plasma-widget-folderview plasma-widgets-addons plasma-widgets-workspace rkward rsibreak skanlite **removed** soprano-daemon sweeper
  systemsettings tellico texmaker virtualbox-4.0 vym
The following packages will be DOWNGRADED:
  libqtcore4 libqtgui4
0 upgraded, 0 newly installed, 2 downgraded, 283 to remove and 5 not upgraded.
 
 View user's profile Send private message  
Reply with quote Back to top
monkeynutsOffline
Post subject:   PostPosted: 25.06.2011, 18:29



Joined: 2010-09-20
Posts: 16

Status: Offline
the new version of libqtgui4 hasn't hit the i386 repos. The devs are aware of the problem and will hopefully have a fixed version in the Debian repos soon.
 
 View user's profile Send private message  
Reply with quote Back to top
slamOffline
Post subject:   PostPosted: 25.06.2011, 18:46
Team Member


Joined: 1970-01-01
Posts: 607
Location: w3
Status: Offline
Fixed amd64 packages are already in Debian Incoming, and will hit Aptosid/sid shortly.
Greetings,
Chris

_________________
an operating system must operate
development is life
my Debian repo
 
 View user's profile Send private message Send e-mail Visit poster's website AIM Address Yahoo Messenger MSN Messenger ICQ Number 
Reply with quote Back to top
MoDaXOffline
Post subject:   PostPosted: 25.06.2011, 19:06



Joined: 2011-04-27
Posts: 8

Status: Offline
      slam wrote:
Fixed amd64 packages are already in Debian Incoming, and will hit Aptosid/sid shortly.
Greetings,
Chris

That's not true. qt4-x11 (libqtgui4) 4:4.7.3-3 is one that is broken and is currently wreaking havoc.

Avoid libqtgui4 4:4.7.3-3 at all costs, stay with 4:4.7.3-2 for now. Debian bug is #631652 and only upgrade to version which fixes this bug.
 
 View user's profile Send private message  
Reply with quote Back to top
slamOffline
Post subject:   PostPosted: 25.06.2011, 19:31
Team Member


Joined: 1970-01-01
Posts: 607
Location: w3
Status: Offline
Correct, just recognized. However, still wondering why untested uploads go to directly sid, and not to experimental.
Greetings,
Chris

_________________
an operating system must operate
development is life
my Debian repo
 
 View user's profile Send private message Send e-mail Visit poster's website AIM Address Yahoo Messenger MSN Messenger ICQ Number 
Reply with quote Back to top
MoDaXOffline
Post subject:   PostPosted: 25.06.2011, 19:40



Joined: 2011-04-27
Posts: 8

Status: Offline
      slam wrote:
Correct, just recognized. However, still wondering why untested uploads go to directly sid, and not to experimental.
Greetings,
Chris

Because Sid is a development distribution. Upload was pretty innocent but bad things happen from time to time.
 
 View user's profile Send private message  
Reply with quote Back to top
slamOffline
Post subject:   PostPosted: 25.06.2011, 19:49
Team Member


Joined: 1970-01-01
Posts: 607
Location: w3
Status: Offline
Well, I understand "innocent" and "bad things happen", but untested? No personal offense intended, really, but I am pretty sure we can provide a lot of experimental testers immediately if experimental is used for such uploads.
Greetings,
Chris

_________________
an operating system must operate
development is life
my Debian repo
 
 View user's profile Send private message Send e-mail Visit poster's website AIM Address Yahoo Messenger MSN Messenger ICQ Number 
Reply with quote Back to top
piperOffline
Post subject:   PostPosted: 25.06.2011, 19:51
Moderator


Joined: 2010-09-11
Posts: 480
Location: cheektowaga, ny
Status: Offline
http://upload.wikimedia.org/wikipedia/c ... e-cycl.svg

_________________
debian sid | apt-get into it
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio